2019-10-16 14:58 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001587FSSCPsoundpublic2008-03-28 02:18
Reporterasyikarea51 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001587: Wrong sound played on weapons fire
DescriptionTaylor's 2007-10-28 XT build.

Some of the weapons when fired use the wrong sounds. some examples: AAAf (wrong warmup), Shivan AAA (Vasudan beam cannon sounds?!), Mjolnir#home [possibly the standard Mjolnir too since it's exactly the same](also wrong sounds). Not all weapons are affected.

At first I thought it had something to do with sounds and tables added into my 3.6.8 MediaVPs but I only have tbm's there for ships only (sound tbl has no tbm AFAIK) and replacement sounds for fighter weapons like Subach and Harpoon. Sounds removed, no sound.tbl to remove in the first place so there's nothing to remove there, but problem persisted.

Stock 369 does not have this... problem.
Additional InformationAlso attempted to reproduce the error without any mods (FS2 retail gfx and everything). Reproducible.

Didn't try the debug build.

One hackfix for modders would be to add new lines into the sounds.tbl, but I find it a bit pointless if new entries are being added simply to reference default sounds...

hope this is the correct place to put it. XD
TagsNo tags attached.
Attached Files
  • txt file icon soundbug.txt (851 bytes) 2008-03-14 07:26 -
    3.6.10, 28 October 2007 build:
    (This build already solves the beam_shotX.wav errors #124 and #125 but has the Mantis'd sound error)
    (Warmup, Firing, Cooldown)
    
    AAAf: 150, 149, 161
    AAAh: 150, 149, 161
    MjolnirBeam#home: 153, 147, 159
    S-AAA-Weak: 122, 121, 123
    
    
    3.6.9 standard Open build:
    (This build plays sounds correctly except for beam_shotX.wav #124 and #125 IIRC)
    (Warmup, Firing, Cooldown)
    
    AAAf: 151, 149, 161
    AAAh: 151, 149, 161
    MjolnirBeam#home: 154, 147, 159
    S-AAA-Weak: 122, 121, 123
    
    Liner notes: I guess I did make a mistake for the S-AAA-Weak, it does sound like a Vasudan beam cannon in both builds... even tried the LRed, SRed and the BFRed but as far as I can tell they sound the same. I won't be surprised if I missed another weapon that plays the wrong sound somewhere but what I have now hints me of +1...
    
    aa51
    txt file icon soundbug.txt (851 bytes) 2008-03-14 07:26 +

-Relationships
+Relationships

-Notes

~0008852

Backslash (developer)

I've reproduced this as well. Not sure what's going on. Also noticed flak sounds don't play, whether launch or explosion. Usually they're pretty obvious :-P

~0008853

asyikarea51 (reporter)

Last edited: 2008-02-08 16:31

Hrmm... for me they play, but I'll admit to using the cheats and playtesting in a "blank" map, firing the three flak cannons off a fighter. I hear the launch sound, but I don't hear any explosion.

Either I'm too far to hear it, or it really is the bug.

FS2 retail as selected mod for this instance.

~0008887

taylor (administrator)

For the weapons listed, post what sound # does play and which sound # is supposed to play.

And I know that flak sounds work fine, at least for me.

~0008962

asyikarea51 (reporter)

Last edited: 2008-03-14 07:39

File uploaded, doesn't contain much but hope it helps. =)

Post-upload EDIT: Well the BGreen is also affected, seems to use the same sounds as the Mjolnir cannon in 3.6.9 and as a result shares the same error in 3.6.10...

~0008963

taylor (administrator)

Looks the be the old "." issue. All of the files in question have two periods in them (BT_up_1.5.wav) and the sound that ends up getting used is the cut down version (BT_up_1.wav). Easy enough to fix though.

I'll post a link for a new test build later this weekend and you can verify whether it's properly fixed or not.

~0008972

taylor (administrator)

See if it's fixed in this build: http://icculus.org/~taylor/fso/willrobinson/Xt0314-win32.rar

~0008973

asyikarea51 (reporter)

Last edited: 2008-03-15 09:19

Gave it a try, nope, no audible change to the beam warm-up sounds. Still the same as the October 28th build.

The only difference I spotted was the way the new build rendered beam cannons when you cheated yourself, say a BGreen and fired away, you can now actually see in front of you rather than having the muzzleflash block your way, lol... and that it says "unrecognised parameter -alpha_env", that's all.

For Backslash's flak I'll get around to making a test mission later in the afternoon and have an Aeolus fire at me in godmode or something.

~0008974

asyikarea51 (reporter)

Last edited: 2008-03-23 10:45

All three flak weapons tested with the supplied build, all okay. Had an Aeolus destroy three Fenris cruisers with flak.

Making the Aeolus attack the player didn't quite work because the sound that plays when the player's shields get hit takes predecence over the flak explosion noise. I wouldn't call that a bug though.

So that narrows it down to the beam warmup sound.

~0009022

asyikarea51 (reporter)

Okay, tried something today. The mod I'm working on hasn't gotten extensive with the tables yet, so I decided to use it. I can try using the default game to remove the possibility of errors-in-the-middle though.

Extracted these suspect sounds from the root VP's: BS_up_1.5 , BT_up_1.5 , BT_up_2.5 , BT_up_3.5 , put them into sounds/8b22k, changed the periods to "pt" and changed edited sounds.tbl accordingly.

(BS_up_1.5 -> BS_up_1pt5 and so on)

Run your supplied Xt0314 build... Problem solved!

Admittedly this is a modding way to solve the problem, but for stock sounds that shipped with the original game...? I don't know, worth a thought for those in charge of the MediaVPs, I guess.

~0009027

VA (reporter)

Taylor, should we do this for the next MVP release or do you want to fix the cause? It's a bit of a hack via the MVPs, but it's a nice clean and easy hack. ;)

~0009028

taylor (administrator)

Nah, don't bother with the MVP hack. I haven't really had much time to do it yet, but I'll get the bug fixed before the week is over.

~0009035

asyikarea51 (reporter)

Last edited: 2008-03-25 17:29

Whoops, my bad. I didn't see the replies from you guys after mine. G5K's Trunk build seems to give the same behaviour... I'm guessing that something went "off" somewhere between the Official 3.6.9 and the countless 3.6.10 builds out there right now, but I just got back my modding steam so I can't say much about that.

Hope it's worth a thought, at least. I'll keep monitoring this and update if I find anything else worth saying. =)

EDIT: Just realised something. Now I think the MVP hack is a bad idea, many up-and-coming modmakers (me included) lack resources, and so rely on the MVPs for their small campaigns. With the hack in place, wouldn't it screw up mods that use their own sounds.tbl?

~0009047

taylor (administrator)

Should be fixed in SVN. Reopen if that turns out to not be the case in future builds.

~0009048

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-01-26 11:25 asyikarea51 New Issue
2008-02-08 07:35 Backslash Note Added: 0008852
2008-02-08 16:30 asyikarea51 Note Added: 0008853
2008-02-08 16:31 asyikarea51 Note Edited: 0008853
2008-02-21 05:05 taylor Note Added: 0008887
2008-03-14 07:26 asyikarea51 File Added: soundbug.txt
2008-03-14 07:27 asyikarea51 Note Added: 0008962
2008-03-14 07:39 asyikarea51 Note Edited: 0008962
2008-03-14 16:02 taylor Note Added: 0008963
2008-03-14 16:02 taylor Status new => assigned
2008-03-14 16:02 taylor Assigned To => taylor
2008-03-15 06:04 taylor Note Added: 0008972
2008-03-15 08:56 asyikarea51 Note Added: 0008973
2008-03-15 09:18 asyikarea51 Note Added: 0008974
2008-03-15 09:19 asyikarea51 Note Edited: 0008973
2008-03-23 10:43 asyikarea51 Note Added: 0009022
2008-03-23 10:45 asyikarea51 Note Edited: 0008974
2008-03-24 13:20 VA Note Added: 0009027
2008-03-24 13:27 taylor Note Added: 0009028
2008-03-25 17:04 asyikarea51 Note Added: 0009035
2008-03-25 17:28 asyikarea51 Note Edited: 0009035
2008-03-25 17:29 asyikarea51 Note Edited: 0009035
2008-03-28 02:18 taylor Note Added: 0009047
2008-03-28 02:18 taylor Status assigned => resolved
2008-03-28 02:18 taylor Fixed in Version => 3.6.10
2008-03-28 02:18 taylor Resolution open => fixed
2008-03-28 02:18 taylor Note Added: 0009048
+Issue History